Subject: Linux-Activists - DOC Channel digest. 93-11-18-20:38
From: "Linux Activists" <[email-masked]>
To: "Linux-Activists" <[email-masked]>
Date: Sun, 19 Dec 1993 02:00:31 +0200

Topics:
	 texi2groff

----------------------------------------------------------------------

From: "Cesare Mastroianni (0182/471151)" <[email-masked]>
Subject: texi2groff
Date: Sat, 18 Dec 1993 22:17:39 +0200

Subject: texi2groff

>
> From: John Ford <[email-masked]>
> Subject: Re: info man pages
> Date: Fri, 17 Dec 1993 16:29:04 +0200
> 
> There is (used to be?) a utility called texi2roff that did a pretty good
> job of translating the info files into *roff.  I think it did not use
> the man macros, but possibly we could use this to make the info pages
> appear as man pages when you say `man tar`.  I think texinfo is great,
> but I see a need for standard nroff man pages as well.  Is there any
> interest in this?
> 
> (Reply to this list or to [email-masked])
> 
> John
> 

I wrote a *very alpha*, very small utility to convert texinfo files
into groff/man page files. In fact today, the texi2groff I wrote works
fine *ONLY* for a texinfo file I wrote for a package which I'm going
to post to the announce channel. I mean: I wrote a texinfo file for
a program, then I wrote a texi2groff program which translate such
texinfo file into a man groff/man page file.

There are lots of lacks, and surely lots of bugs:
in fact I tried to format tar.texinfo:

man tar | texi2groff ... segmentation fault

The texinfo file must be restricted by some conditions: for example
a @foo{} macro must have both brackets on the same line, and so on.
I'm not so expert in groff file format to build a REAL texi to groff/man page
filter. This experiment could be a first attempt however. If somebody
want carry this task out... let me know.

Here is the C source, the README file and the texinfo file I wrote.
Please, try:

gcc -pipe -Wall texi2groff.c -o texi2groff  (don't add -O, there is some bug!!!)
texi2groff < Xp.texi > Xp.l
groff -Tascii -mandoc Xp.l | less

----------------------------- CUT HERE -----------------------------------------
----------------------------- CUT HERE -----------------------------------------

Regards. Thanks.

Ciao :-)
-- 

--------------------------------------------------------------------------------
Cesare Mastroianni
[email-masked] - University of Genoa - ITALY
--------------------------------------------------------------------------------
PLAN:
   Object Oriented Petri Nets under Unix/Linux + X11
--------------------------------------------------------------------------------

------------------------------

End of DOC Digest
*****************
-------